#ifndef DEBUGPRINTPAGE_H
#define DEBUGPRINTPAGE_H

#include <QFrame>
#include <QButtonGroup>

#include "bmsinterface.h"

namespace Ui {
class DebugPrintPage;
}

class DebugPrintPage : public QFrame
{
    Q_OBJECT

public:
    explicit DebugPrintPage(QWidget *parent = nullptr);
    ~DebugPrintPage();

    static DebugPrintPage* currentMsgHandler;

    void clearConsole();

    BMSInterface *bms() const;
    void setDieBieMS(BMSInterface *dieBieMS);

public slots:
    void printConsole(QString str);

private slots:
    void on_clearButton_clicked();

private:
    Ui::DebugPrintPage *ui;
    BMSInterface *mDieBieMS;
};

#endif // DEBUGPRINTPAGE_H
